apptainer(1)

NAME

apptainer-sign - Add digital signature(s) to an image

SYNOPSIS

apptainer sign [sign options...]

DESCRIPTION

The sign command allows a user to add one or more digital signatures to a SIF
  image. By default, one digital signature is added for each object group in
  the file.

Key material can be provided via PEM-encoded file, or an entity in the PGP
  keyring. To manage the PGP keyring, see 'apptainer help key'.

OPTIONS

-g, --group-id=0
    sign objects with the specified group ID

-h, --help[=false]
    help for sign

--key=""
    path to the private key file

-k, --keyidx=0
    PGP private key to use (index from 'key list --secret')

-i, --sif-id=0
    sign object with the specified ID

EXAMPLE

      Sign with a private key:
      $ apptainer sign --key private.pem container.sif
      Sign with PGP:
      $ apptainer sign container.sif

SEE ALSO

apptainer(1)

HISTORY

29-Jul-2023 Auto generated by spf13/cobra